<?xml version="1.0" encoding="UTF-8" ?>
<Configuration status="trace" packages="gov.va.med.cds.log4j">
	<Properties>
		<Property name="log-path">servers/${sys:weblogic.Name}/logs</Property>
	</Properties>
	
	<Appenders>
		<Console name="STDOUT" target="SYSTEM_OUT">
			<PatternLayout pattern="%-6r %d{ISO8601} [%10.10t] %-5p %40.40c %x - %m%n"/>
		</Console>
		
		<SpringAwareAppenderProxy name="JMS" 
			springConfigResourceType="CLASSPATH"
			springConfigurations="classpath:gov/va/med/cds/log4j/config/jms-app-logging-context.xml">
			<PatternLayout pattern="%-6r %d{ISO8601} [%10.10t] %-5p %40.40c %x - %m%n"/>
		</SpringAwareAppenderProxy>
	</Appenders>
	
	<Loggers>
		<Logger name="gov.va.med.cds" level="ERROR">
		    <AppenderRef ref="JMS"/>
		</Logger>
		
		<Logger name="gov.va.med.cds.scheduler" level="INFO" additivity="false">
		    <AppenderRef ref="JMS"/>
		    <AppenderRef ref="STDOUT"/>
		</Logger>
		
		<Logger name="gov.va.med.cds.hapi" level="ERROR" additivity="false">
		    <AppenderRef ref="JMS"/>
		</Logger>

		<Logger name="org.apache.beehive" level="WARN"/>
					
		<Logger name="org.hibernate" level="WARN"/>
		
		<Logger name="org.springframework" level="WARN"/>

		<Root level="ERROR">
			<AppenderRef ref="STDOUT" />
		</Root>
	</Loggers>
	
</Configuration>

